import { ethers } from "hardhat";

async function main() {
  const contractName = 'Flash'

  const Contract = await ethers.getContractFactory(contractName);
  console.log('deploying...')
  const contract = await Contract.deploy();
  console.log(`${ contractName } deployed, confirm...`)
  await contract.deployed();
  console.log(`${ contractName } deployed to ${contract.address}`);
}

// We recommend this pattern to be able to use async/await everywhere
// and properly handle errors.
main().catch((error) => {
  console.error(error);
  process.exitCode = 1;
});
